Package: org.apache.groovy.json.internal

## [Java] Class IO

- org.apache.groovy.json.internal.IO

-     public class IO
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static int` | `copy(Reader input, Writer output)`
    `` | `public static long` | `copyLarge(Reader reader, Writer writer)`
    `` | `public static long` | `copyLarge(Reader reader, Writer writer, char[] buffer)`
    `` | `public static CharBuf` | `read(Reader input, CharBuf charBuf, int bufSize)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static int copy(Reader input, Writer output)

    - #### public static long copyLarge(Reader reader, Writer writer)

    - #### public static long copyLarge(Reader reader, Writer writer, char[] buffer)

    - #### public static CharBuf read(Reader input, CharBuf charBuf, int bufSize)